Get supported sources for swap operations
Returns a list of all supported sources that support crosschain swaps on Across Protocol.
Authorization
bearerAuth API key for authentication. Request your key at https://t.me/acrosstg.
In: header
Query Parameters
Chain ID of the chain to get supported sources for.
1 <= value1 | 10 | 137 | 324 | 8453 | 42161 | 59144 | 84532 | 421614 | 11155420 | 11155111Response Body
application/json
application/json
application/json
curl -X GET "https://app.across.to/api/swap/sources?chainId=1"[
"0x_rfq",
"1inch",
"angle",
"arbswap",
"balancer",
"balancer_v2",
"balancer_v3",
"camelot",
"camelot_v2",
"camelot_v3",
"..."
]{
"type": "AcrossApiError",
"code": "INVALID_PARAM",
"status": 400,
"message": "Invalid request parameters"
}{
"type": "AcrossApiError",
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "Internal server error"
}Get supported tokens for swap operations GET
Returns a list of all supported tokens that support crosschain swaps on Across Protocol.
Get all details for a single deposit GET
Returns a single deposit matching the provided query parameters. Searches across all deposit types: Across intents (V3FundsDeposited), CCTP (DepositForBurn), OFT (OFTSent). At least one of the following parameter combinations is required: 1. `depositTxnRef` 2. `depositId` AND `originChainId` 3. `relayDataHash`